<?PHP
ini_set('error_reporting', 1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];   //   **************** mcc  12-11-14
$id_user = $_SESSION['ss_user'];
include("../conex.php");

//************************************************lee y saca valor en nodo XML ****************** 
function obtValorXML($xml, $var, $x) 
    {
	$dom = new DOMDocument();
	$dom->load($xml);
	$data = array();
	$elements = $dom->getElementsByTagName($var);
	foreach($elements as $node)
	  {
		foreach($node->childNodes as $child) 
		{
			$data[] = $child->nodeValue;
		}
	  }
	if(count($data) > 0) 
	  {
		return($data[$x]);
	  } 
	  else 
	  {
		return "";
	  }
      }
   
   function Cuenta_XML($xml, $var) 
   {
   $xml = simplexml_load_file($xml);
echo "El número de nodos con NmbItem Num es: " . count($xml->NmbItem);
     return(count($xml->NmbItem));
	
   }
   
   
  /******************* Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna and id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_rut = str_replace('.', '', $empresa_rut);
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");
		$row=$row+1;
		}

   
  // Subir DTE a server  
 
   $name_reserva = $_FILES['reserva']['name'];
//var_dump ($_FILES);
	$dir = '/var/www/html/'.$sitio_empresa.'/lcompra/DOC_RECIBE/';

if ($name_reserva!=NULL)
{
	$type_reserva = $_FILES['reserva']['type'];
	// var_dump ( $type_reserva);
	$tmp_name_reserva = $_FILES["reserva"]["tmp_name"];
	 //var_dump ( $tmp_name_reserva);
	$size_reserva = $_FILES['reserva']['size'];
	 //var_dump ( $size_reserva);
	//$name_reserva = uniqid('bc') . '_' . $name_reserva; 
	move_uploaded_file($tmp_name_reserva, $dir.$name_reserva);
//	$campo_reserva = ", reserva";	
	//$name_reserva = ", '".$name_reserva."'"; 
}
else
{
	 var_dump ("Error en archivo");
}
  
  //***********************************************
  
   
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<form id="form1" name="form1" method="post" action="">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Recepciones DTE</title>

<?php

$txtfecha=$_POST["txtfecha"];
$dia = substr ($txtfecha, 0, 2);
$mes = substr ($txtfecha, 3, 2);
$mes2=$mes;
$año = substr ($txtfecha, 6, 4);
$ano2=$año;
if ($mes=='01') $mes = "ENERO";
if ($mes=='02') $mes = "FEBRERO";
if ($mes=='03') $mes = "MARZO";
if ($mes=='04') $mes = "ABRIL";
if ($mes=='05') $mes = "MAYO";
if ($mes=='06') $mes = "JUNIO";
if ($mes=='07') $mes = "JULIO";
if ($mes=='08') $mes = "AGOSTO";
if ($mes=='09') $mes = "SEPTIEMBRE";
if ($mes=='10') $mes = "OCTUBRE";
if ($mes=='11') $mes = "NOVIEMBRE";
if ($mes=='12') $mes = "DICIEMBRE";

?>
<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">
<div align="center" class="titulos2">ENTRADA DTE MES DE  <?=$mes?> DEL <?=$año?></div>
  <div align="center">
    <table  border="0">
      <tr bgcolor="#CCCCCC">
        <th scope="col"><div align="center">Día..........</div></th>
        <th scope="col"><div align="center">Rut.Recept</div></th>
        <th scope="col"><div align="center">Rut.Provee</div></th>
        <th scope="col"><div align="center">Nombre_Prov.</div></th>
        <th scope="col"><div align="center">T/D</div></th>
        <th scope="col"><div align="center">....Numero......</div></th>
        <th scope="col"><div align="center">Exento</div></th>
        <th scope="col"><div align="center">Neto</div></th>
         <th scope="col"><div align="center">ILA</div></th>
          <th scope="col"><div align="center">IABA</div></th>
           <th scope="col"><div align="center">IABA18</div></th>
            <th scope="col"><div align="center">Harina</div></th>

        <th scope="col"><div align="center">Iva</div></th>
        <th scope="col"><div align="center">IvaNo Recupe</div></th>
        <th scope="col"><div align="center">IvaUso Comun</div></th>
        <th scope="col"><div align="center">Total</div></th>
        <th scope="col"><div align="center">Iva_Ret.</div></th>
        <th scope="col"><div align="center">FactorIva UsoCom</div></th>
        <th scope="col"><div align="center">Correlativ</div></th>
        <th scope="col"><div align="center">Observac</div></th>
        <th scope="col"><div align="center">EstadoRecepc  0=ok3=Error</div></th>
        <th scope="col"><div align="center">RecibeMercader&iacute;a</div></th>
      </tr>
      <?
		
		$total_exento=0;
		$total_neto=0;
		$total_iva=0;
		$total_iva_comun=0;
		$total_iva_no_rec=0;
		$total_total=0;
		$total_ivar=0;
		$total_ila=0;
		$total_iaba=0;
		$total_iaba18=0;
		$total_harina=0;

	$archivo="./DOC_RECIBE/".$name_reserva;

	$TpoDTE=obtValorXML($archivo,'TpoDTE','0');
    $cant=obtValorXML($archivo,'NroDTE','0');
	$emisor = obtValorXML($archivo,'RutEmisor','0');
	$receptor = obtValorXML($archivo,'RutReceptor','0');
	$DigestE = obtValorXML($archivo,'DigestValue','0');
	$fecha_entrada= obtValorXML($archivo,'TmstFirmaEnv','0');
	
	//print_r($tipo); print_r($cant);

	for ($i=0; $i<$cant; $i++)
	{ 
				
				$fecha_emision[$i] = obtValorXML($archivo,'FchEmis',$i);
				$TipoDTE_O[$i]=obtValorXML($archivo,'TipoDTE',$i);
				//$dia = substr ($fecha, 8, 2)."/".substr ($fecha, 5, 2)."/".substr ($fecha, 0, 4);
				$iddcto = $TipoDTE_O[$i];
				$desc_global[$i]=obtValorXML($archivo,'ValorDR',$i);	
				if($iddcto==1)$dcto='B';
				if($iddcto==30)$dcto='F 30';
				if($iddcto==3)$dcto='NV';
				if($iddcto==4)$dcto='C';
				if($iddcto==51)$dcto='G 51';
				if($iddcto==60)$dcto='NC 60';
				if($iddcto==55)$dcto='ND 55';
				if($iddcto==33)$dcto='F E 33';
				if($iddcto==34)$dcto='Fex E 34';
			    if($iddcto==45)$dcto='FC 45';
				if($iddcto==46)$dcto='FC E 46';
				if($iddcto==52)$dcto='G E 52';
				if($iddcto==61)$dcto='NC E 61';
				if($iddcto==56)$dcto='ND E 56';
								
				
				$rut_emisor[$i] = obtValorXML($archivo,'RUTEmisor',$i);
			
				$rut_receptor[$i] = obtValorXML($archivo,'RUTRecep',$i);
	
				$RznSoc[$i] = obtValorXML($archivo,'RznSoc',$i);
			
				$Telefono[$i] = obtValorXML($archivo,'Telefono',$i);
				$GiroEmis[$i] = obtValorXML($archivo,'GiroEmis',$i);
					$DirOrigen[$i] = obtValorXML($archivo,'DirOrigen',$i);
					
					$CmnaOrigen[$i] = obtValorXML($archivo,'CmnaOrigen',$i);
					$CiudadOrigen[$i] = obtValorXML($archivo,'CiudadOrigen',$i);	
					$FmaPago[$i] = obtValorXML($archivo,'FmaPago',$i);	
						
				$nro[$i] = obtValorXML($archivo,'Folio',$i);
			
				$cor[$i] =  $nro[$i];
				
				$observacion =  "";
				 $ivausocomun = 0;
			     $factorivausocomun =  0;
				 
				 $iva_no_rec = 0;
			     $cod_iva_no_rec= 0;
				 
				$exento[$i]= obtValorXML($archivo,'MntExe',$i);
				  if ($exento[$i]=='') {$exento[$i]=0;}
				
                $neto[$i]= obtValorXML($archivo,'MntNeto',$i);  
				$iva[$i] = obtValorXML($archivo,'IVA',$i);
				
				//********************  $i  cambiar $j 1 a 5 por los 5 tipos de impuestos
				$harina[$i] =0;
				$ila[$i] =0;				
				$iaba[$i] =0;
				$iaba18[$i] =0;
				$j=0;
				while ($j<=6)
				{
							
				$cod_impuesto = obtValorXML($archivo,'TipoImp',$j);
				   $tasa_impuesto = obtValorXML($archivo,'TasaImp',$j);
				       $monto_impuesto = obtValorXML($archivo,'MontoImp',$j);
					   
				if ($cod_impuesto!='')
				{
				if ($cod_impuesto==18) {$harina[$i] = $monto_impuesto;}
				if ($cod_impuesto==24) {$ila[$i] = $monto_impuesto;}
				if ($cod_impuesto==25) {$ila[$i] = $monto_impuesto;}
				if ($cod_impuesto==26) {$ila[$i] = $monto_impuesto;}
				if ($cod_impuesto==27) 
				      {if ($tasa_impuesto==10)  {$iaba[$i] = $monto_impuesto;} else  {$iaba18[$i] = $monto_impuesto;} }
			     if ($cod_impuesto>=28)   {	$exento[$i]=$exento[$i]+$MontoImp[$i];}
				}
				$j+=1;
				}
				
				// ***********************
				

				
				
				
				
				$total[$i] = obtValorXML($archivo,'MntTotal',$i);
				$ivar[$i] = 0;
				
				$total_exento+=$exento[$i];
				$total_neto+=$neto[$i];
				$total_iva+=$iva[$i];
				$total_iva_no_rec+=$iva_no_rec;
				$total_iva_comun+=$ivausocomun;
				$total_total+=$total[$i];
				$total_ivar+=$ivar[$i];
				
				// Detalle
				
				$j=0; //Cuenta_XML($archivo,'NmbItem');
				
				while (obtValorXML($archivo,'NroLinDet', $j ) >0) 
				{$j+=1;}
				
	           
					for ($n=0; $n<=$j; $n++)
	           { 
			   
			  	   
			  $codigo[$n] = obtValorXML($archivo,'VlrCodigo',$n); 
			    $cantidad[$n] = obtValorXML($archivo,'QtyItem',$n); 
			    $precio[$n] = obtValorXML($archivo,'PrcItem',$n); 
				
				  
			    $descuento[$n] = obtValorXML($archivo,'DescuentoMonto',$n); 
				if($descuento[$n] =='') $descuento[$n] = 0;
			    $sub_total[$n] = obtValorXML($archivo,'MontoItem',$n); 	
			   	
				 $detalle[$n] = obtValorXML($archivo,'NmbItem',$n);  
				 
				 $detalle_1[$n] = obtValorXML($archivo,'DscItem',$n);  
				 ?>
    <input name="codigo[<?=$n;?>]" id="codigo[<?=$n;?>]" type="text" value="<?=$codigo[$n];?>" style="visibility:hidden" size="1">
	<input name="cantidad[<?=$n;?>]" id="cantidad[<?=$n;?>]" type="text" value="<?=$cantidad[$n];?>" style="visibility:hidden" size="1">
    <input name="precio[<?=$n;?>]" id="precio[<?=$n;?>]" type="text" value="<?=$precio[$n];?>" style="visibility:hidden" size="1">
     <input name="descuento[<?=$n;?>]" id="descuento[<?=$n;?>]" type="text" value="<?=$descuento[$n];?>" style="visibility:hidden" size="1">
    <input name="sub_total[<?=$n;?>]" id="sub_total[<?=$n;?>]" type="text" value="<?=$sub_total[$n];?>" style="visibility:hidden" size="1">
    <input name="detalle[<?=$n;?>]" id="detalle[<?=$n;?>]" type="text" value="<?=$detalle[$n];?>" style="visibility:hidden" size="1">
     <input name="detalle_1[<?=$n;?>]" id="detalle_1[<?=$n;?>]" type="text" value="<?=$detalle_1[$n];?>" style="visibility:hidden" size="1">
				 <?
				}
				/*
				$exento[$i]=number_format($exento[$i],0,',','.');
				$neto[$i]=number_format($neto[$i],0,',','.');
				$iva[$i]=number_format($iva[$i],0,',','.');
				$iva_no_rec=number_format($iva_no_rec,0,',','.');
				$ivausocomun=number_format($ivausocomun,0,',','.');
				$total=number_format($total,0,',','.');
				$ivar=number_format($ivar,0,',','.');
		  	 */
			?>
      <tr>
        <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="fecha_emision[<?=$i;?>]" id="fecha_emision[<?=$i;?>]" type="text" value="<?=$fecha_emision[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="rut_receptor[<?=$i;?>]" id="rut_receptor[<?=$i;?>]" type="text" value="<?=$rut_receptor[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="rut_emisor[<?=$i;?>]" id="rut_emisor[<?=$i;?>]" type="text" value="<?=$rut_emisor[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        
        
        
        <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="RznSoc[<?=$i;?>]" id="RznSoc[<?=$i;?>]" type="text" value="<?=$RznSoc[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
        <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="TipoDTE_O[<?=$i;?>]" id="TipoDTE_O[<?=$i;?>]" type="text" value="<?=$TipoDTE_O[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
   <td><div align="right">
            <input name="nro[<?=$i;?>]" id="nro[<?=$i;?>]" type="text"  readonly="1" value="<?=$nro[$i];?>" style="visibility:hidden" size="1"><a  href="javascript:fun_fact('<?=$i;?>','<?=$nro[$i];?>');"> <?=$nro[$i];?> </a> </div></td>
        <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="exento[<?=$i;?>]" id="exento[<?=$i;?>]" type="text" value="<?=$exento[$i];?>" style="text-align:right;width:100%" readonly="1" >
       </font></strong></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="neto[<?=$i;?>]" id="neto[<?=$i;?>]" type="text" value="<?=$neto[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </font></strong></div></td>
           <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <input name="ila[<?=$i;?>]" id="ila[<?=$i;?>]" type="text" value="<?=$ila[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </strong></span></div></td>
         <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <input name="iaba[<?=$i;?>]" id="iaba[<?=$i;?>]" type="text" value="<?=$iaba[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </strong></span></div></td>
         <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <input name="iaba18[<?=$i;?>]" id="iaba18[<?=$i;?>]" type="text" value="<?=$iaba18[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </strong></span></div></td>
          <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <input name="harina[<?=$i;?>]" id="harina[<?=$i;?>]" type="text" value="<?=$harina[$i];?>" style="text-align:center;width:100%" readonly="1" >
        </strong></span></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="iva[<?=$i;?>]" id="iva[<?=$i;?>]" type="text" value="<?=$iva[$i];?>" style="text-align:center;width:100%" readonly="1" >
         </font></strong></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
          
             <input name="iva_no_rec[<?=$i;?>]" id="iva_no_rec[<?=$i;?>]" type="text" value="<?=$iva_no_rec;?>" style="text-align:center;width:100%" readonly="1" >
         </font></strong></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
         
              <input name="ivausocomun[<?=$i;?>]" id="ivausocomun[<?=$i;?>]" type="text" value="<?=$ivausocomun;?>" style="text-align:center;width:100%" readonly="1" >
         </font></strong></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="total[<?=$i;?>]" id="total[<?=$i;?>]" type="text" value="<?=$total[$i];?>" style="text-align:center;width:100%" readonly="1" >
         </font></strong></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
             <input name="ivar[<?=$i;?>]" id="ivar[<?=$i;?>]" type="text" value="<?=$ivar[$i];?>" style="text-align:center;width:100%" readonly="1" >
         </font></strong></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
             <input name="factorivausocomun[<?=$i;?>]" id="factorivausocomun[<?=$i;?>]" type="text" value="<?=$factorivausocomun;?>" style="text-align:center;width:100%" readonly="1" >
         </font></strong></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="cor[<?=$i;?>]" type="text" id="cor[<?=$i;?>]" value="<?=$cor[$i]?>" style="text-align:center;width:90%" >
         </font></strong></div></td>
         <td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
         <?=$cod_iva_no_rec?>
            <?=$observacion?>
         </font></strong></div></td>
         <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
            <input name="sel[<?=$i;?>]" type="text" id="sel[<?=$i;?>]" value="<?=$sel[$i]?>" style="text-align:center;width:30%" >
         </font></strong></div></td>
        
        <td> <div align="left" onClick="enviar('recepcion_mercaderia_xml.php?cp=<?=$i;?>')" style="cursor:pointer" title="Click para recepcion mercaderia"> <img src="../Images/ir.gif">  <input name="Telefono[<?=$i;?>]" id="Telefono[<?=$i;?>]" type="text" value="<?=$Telefono[$i];?>" style="visibility:hidden" size="1">
            <input name="GiroEmis[<?=$i;?>]" id="GiroEmis[<?=$i;?>]" type="text" value="<?=$GiroEmis[$i];?>" style="visibility:hidden" size="1">
            <input name="DirOrigen[<?=$i;?>]" id="DirOrigen[<?=$i;?>]" type="text" value="<?=$DirOrigen[$i];?>" style="visibility:hidden" size="1">
            <input name="CmnaOrigen[<?=$i;?>]" id="CmnaOrigen[<?=$i;?>]" type="text" value="<?=$CmnaOrigen[$i];?>" style="visibility:hidden" size="1">
            <input name="CiudadOrigen[<?=$i;?>]" id="CiudadOrigen[<?=$i;?>]" type="text" value="<?=$CiudadOrigen[$i];?>" style="visibility:hidden" size="1">
             <input name="FmaPago[<?=$i;?>]" id="FmaPago[<?=$i;?>]" type="text" value="<?=$FmaPago[$i];?>" style="visibility:hidden" size="1">
         <input name="desc_global[<?=$i;?>]" id="desc_global[<?=$i;?>]" type="text" value="<?=$desc_global[$i]?>" style="visibility:hidden" size="1">     
          
         </div>  </td>
      </tr>
      <?		
			
			}
			$total_exento=number_format($total_exento,0,',','.');
			$total_neto=number_format($total_neto,0,',','.');
			$total_iva=number_format($total_iva,0,',','.');
			$total_iva_comun=number_format($total_iva_comun,0,',','.');
			$total_total=number_format($total_total,0,',','.');
			$total_ivar=number_format($total_ivar,0,',','.');
			?>
      <tr>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong> </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong> </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong> </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong> </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong> </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong> Total: </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_exento?>
        </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_neto?>
        </strong></span></div></td>
       
         <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_ila;?>
        </strong></span></div></td>
         <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_iaba;?>
        </strong></span></div></td>
         <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_iaba18;?>
        </strong></span></div></td>
         <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_harina;?>
        </strong></span></div></td>
       <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_iva;?>
        </strong></span></div></td>  
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_iva_no_rec;?>
        </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_iva_comun;?>
        </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_total;?>
        </strong></span></div></td>
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
            <?=$total_ivar?>
        </strong></span></div></td>
      </tr>
    </table>
    <form name="form1" method="post" action="">
     
        <input type="button" name="imprimir" id="imprimir" value="Imprimir" onClick="fun_imprimir();">
        <input type="button" name="archivo" id="archivo" value="Recepcion_Archivo_XML" onClick="fun_archivo_xml();" >
         <input type="button" name="comercial" id="comercial" value="Recepcion_Comercial_XML" onClick="fun_comercial_xml();" >
      <input name="recepcion_archivo" id="recepcion_archivo" type="text"  style="visibility:hidden" size="1">
        <input name="txtfecha" id="txtfecha" type="text" value="<?=$txtfecha;?>" style="visibility:hidden" size="1">
         <input name="cant" id="cant" type="text" value="<?=$j;?>" style="visibility:hidden" size="1">
         <input name="tipo" id="tipo" type="text" value="<?=$tipo;?>" style="visibility:hidden" size="1">
         <input name="emisor" id="emisor" type="text" value="<?=$emisor;?>" style="visibility:hidden" size="1">
         <input name="receptor" id="receptor" type="text" value="<?=$receptor;?>" style="visibility:hidden" size="1">
         <input name="DigestE" id="DigestE" type="text" value="<?=$DigestE;?>" style="visibility:hidden" size="1">
         <input name="archivo" id="archivo" type="text" value="<?=$archivo;?>" style="visibility:hidden" size="1">
        <input name="fecha_entrada" id="fecha_entrada" type="text" value="<?=$fecha_entrada;?>" style="visibility:hidden" size="1">
        
      <input name="fecha_entrada" id="fecha_entrada" type="text" value="<?=$fecha_entrada;?>" style="visibility:hidden" size="1">   
       
         <input name="txt_nv" id="txt_nv" type="text" style="visibility:hidden" size="1">
      
    </form>
  </div>
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
function fun_imprimir()
	{
	document.getElementById('imprimir').style.display = "none";
	window.print();
	document.getElementById('imprimir').style.display = "block";
	}
function fun_archivo_xml()
	{
	document.form1.recepcion_archivo.value="1";
	document.form1.action="recepcion_archivo_xml.php";
	document.form1.target="_blank";
	document.form1.submit();
	}
function fun_comercial_xml()
	{
	document.form1.action="recepcion_comercial_xml.php";
	document.form1.target="_blank";
	document.form1.submit();
	}

function fun_fact(cual,num)
	{
	document.form1.txt_nv.value=cual;
	
	document.form1.action="factura_dte.php";
	document.form1.target="_blank";
	document.form1.submit();
	}
function enviar(aux){
	document.form1.action = aux;
	document.form1.submit();
} 
</script>